dbscripts - Bug #569

Bug # 29 (in progress): Create P2P mirror infrastructure

The torrent making code should be integrated into the other repo scripts
2014-07-02 08:03 PM - xylon

Status: open % Done: 10%
Priority: bug

Assignee:

Category:

Description

This should not be hard, I'll work out what needs to be done.

History

#1 - 2014-07-02 08:30 PM - xylon
I've made an example file of what needs to be done: https://t67.euffilebin/integrate_pacman2pacman.bash

#2 - 2014-07-14 08:12 PM - xylon

- Project changed from pbot-ng to pacman2pacman

#3 - 2014-07-27 11:10 AM - xylon

I've divided "make_repo_torrents' into two scripts, ‘'make_individual_torrent' to make the actual torrent and a “'make_repo_torrents' wrapper to find any
updated packages and call “‘make_individual_torrent' for each. Then, when | work out where to put it, we can get rid of the wrapper script and have it
get called during db-sync or wherever.

#4 - 2014-10-05 08:06 PM - xylon
- % Done changed from 0 to 10

- Assignee set to fauno

lukeshu said on IRC:

put it in db-functions:cleanup(), in the "if (( REPO_MODIFIED ));" section. everything except db-sync calls it

| guess he means “make_repo_torrents'.
So we need to:
1. Move ‘'make_repo_torrents' out of the “cron-jobs' folder in dbscripts.

2. Remove the cron job from crontab.
3. Make “make_repo_torrents' get called from where lukeshu said above.

#5 - 2015-10-12 02:21 PM - fauno

why am i assigned to this?

#6 - 2015-10-12 02:21 PM - fauno

- Assignee deleted (fauno)

#7 - 2018-10-07 06:52 AM - lukeshu

- Project changed from pacmanZpacman to dbscripts

#8 - 2022-02-08 02:21 PM - bill-auger
- Parent task set to #29
